/* Copyright (c) 2007, Nokia Corporation
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 * * Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * * Neither the name of the Nokia Corporation nor the names of its
 *   contributors may be used to endorse or promote products derived from
 *   this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef __MODEST_DBUS_CALLBACKS_H__
#define __MODEST_DBUS_CALLBACKS_H__

#include <glib.h>
#include <libosso.h>
#include <libmodest-dbus-client/libmodest-dbus-api.h>

gint modest_dbus_req_handler(const gchar * interface, const gchar * method,
                      GArray * arguments, gpointer data,
                      osso_rpc_t * retval);

void modest_osso_cb_hw_state_handler(osso_hw_state_t *state, gpointer data);

DBusHandlerResult modest_dbus_req_filter (DBusConnection *con,
			DBusMessage    *message,
			void           *user_data);

gboolean modest_dbus_emit_account_created_signal (DBusConnection *con, const gchar *account_id);
gboolean modest_dbus_emit_account_removed_signal (DBusConnection *con, const gchar *account_id);
gboolean modest_dbus_emit_folder_updated_signal (DBusConnection *con, const gchar *account_id, const gchar *folder_path);
gboolean modest_dbus_emit_msg_read_changed_signal (DBusConnection *con, const gchar *msg_uid, gboolean is_read);

#endif /* __MODEST_DBUS_CALLBACKS_H__ */
